## NAME

v.to.3d - Performs transformation of 2D vector features to 3D.

## KEYWORDS

vector, transformation, 3D

## SYNOPSIS

v.to.3d
v.to.3d help
v.to.3d [-rt] input=name output=name [type=string[,string,...]] [height=float] [layer=integer] [column=name] [--overwrite] [--verbose] [--quiet]

### Flags:

-r
  Reverse transformation; 3D vector features to 2D
-t
  Do not copy table
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
type=string[,string,...]
  Feature type
  Options: point,line,boundary,centroid
  Default: point,line,boundary,centroid
height=float
  Fixed height for 3D vector features
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
column=name
  Name of attribute column used for height
  Can be used for reverse transformation, to store height of points

## DESCRIPTION

The v.to.3d module is used to transform 2D vector features to 3D. Height (z-coordinate) of 3D vector features can be specified by height parameter as fixed value or by column parameter.

Flag -r enables to perform reverse transformation, i.e., transform 3D vector to 2D by omitting z-coordinate.

## NOTES

When transforming 2D vector features to 3D based on attribute, all NULL values are silently converted to height 0.0.

## EXAMPLES

### Transform 2D vector features to 3D

    # convert z-values from string to double
    v.db.addcol map=geodetic_pts columns="Z_VALUE_D double precision"
    v.db.update map=geodetic_pts column=Z_VALUE_D qcolumn=Z_VALUE
    v.db.select map=geodetic_pts columns=cat,Z_VALUE,Z_VALUE_

    # convert 2D vector point map to 3D based on attribute
    v.to.3d input=geodetic_pts out=geodetic_pts_3d column=Z_VALUE_D

### Transform 3D vector features to 2D

    v.to.3d -rt input=elev_lid792_bepts output=elev_lid_2d

## SEE ALSO

v.transform, v.extrude, v.drape

## AUTHORS

Martin Landa, CTU in Prague, Czech Republic

Last changed: $Date: 2009-01-10 00:39:21 +0100 (so, 10 I 2009) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team